Loading...
Searching...
No Matches
log_category Struct Reference
Osmocom logging framework

Configuration of single log category / sub-system. More...

`#include <logging.h>`

## Data Fields

uint8_t | loglevel
| configured log-level
uint8_t | enabled
| is logging enabled?

## Detailed Description

Configuration of single log category / sub-system.

## Field Documentation

## enabled

uint8_t log_category::enabled

is logging enabled?

Referenced by log_parse_category_mask(), log_target_create(), and should_log_to_target().

## loglevel

uint8_t log_category::loglevel

configured log-level

Referenced by log_parse_category_mask(), log_target_create(), and should_log_to_target().

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h